mikehetherton
Structural
- Jan 18, 2003
- 14
G'day All,
Please find below a basic cube lisp routine. My question is how do I add a hole through the centre of the cube through each 6 sides. The hole is to be 1/10th the cube size.
Thanks for any help.
Cheers
Mike
(defun C:CUBE (/ point1 cubesize1)
(setq cubesize1 (RTOS (getreal "\nWhat size is the cube: "))
(setq point1 (getpoint "\nPick insertion point: ")
(command "rectangle"
point1
(strcat "@" cubesize1 "," cubesize1)
"extrude"
"last"
""
cubesize1
""
)
(princ)
)
Please find below a basic cube lisp routine. My question is how do I add a hole through the centre of the cube through each 6 sides. The hole is to be 1/10th the cube size.
Thanks for any help.
Cheers
Mike
(defun C:CUBE (/ point1 cubesize1)
(setq cubesize1 (RTOS (getreal "\nWhat size is the cube: "))
(setq point1 (getpoint "\nPick insertion point: ")
(command "rectangle"
point1
(strcat "@" cubesize1 "," cubesize1)
"extrude"
"last"
""
cubesize1
""
)
(princ)
)